/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import type { AggregatedResult, Test, TestContext, TestResult } from '@jest/test-result';
import type { Config } from '@jest/types';
import BaseReporter from './BaseReporter';
import type { ReporterContext } from './types';
export default class CoverageReporter extends BaseReporter {
    private readonly _context;
    private readonly _coverageMap;
    private readonly _globalConfig;
    private readonly _sourceMapStore;
    private readonly _v8CoverageResults;
    static readonly filename: string;
    constructor(globalConfig: Config.GlobalConfig, context: ReporterContext);
    onTestResult(_test: Test, testResult: TestResult): void;
    onRunComplete(testContexts: Set<TestContext>, aggregatedResults: AggregatedResult): Promise<void>;
    private _addUntestedFiles;
    private _checkThreshold;
    private _getCoverageResult;
}
