/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/// <reference types="node" />
/// <reference types="node" />
import type { AggregatedResult, Test, TestCaseResult, TestResult } from '@jest/test-result';
import type { Config } from '@jest/types';
import BaseReporter from './BaseReporter';
import type { ReporterOnStartOptions } from './types';
export default class DefaultReporter extends BaseReporter {
    private _clear;
    private readonly _err;
    protected _globalConfig: Config.GlobalConfig;
    private readonly _out;
    private readonly _status;
    private readonly _bufferedOutput;
    static readonly filename: string;
    constructor(globalConfig: Config.GlobalConfig);
    protected __wrapStdio(stream: NodeJS.WritableStream | NodeJS.WriteStream): void;
    forceFlushBufferedOutput(): void;
    protected __clearStatus(): void;
    protected __printStatus(): void;
    onRunStart(aggregatedResults: AggregatedResult, options: ReporterOnStartOptions): void;
    onTestStart(test: Test): void;
    onTestCaseResult(test: Test, testCaseResult: TestCaseResult): void;
    onRunComplete(): void;
    onTestResult(test: Test, testResult: TestResult, aggregatedResults: AggregatedResult): void;
    testFinished(config: Config.ProjectConfig, testResult: TestResult, aggregatedResults: AggregatedResult): void;
    printTestFileHeader(testPath: string, config: Config.ProjectConfig, result: TestResult): void;
    printTestFileFailureMessage(_testPath: string, _config: Config.ProjectConfig, result: TestResult): void;
}
