"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.alignedAnsiStyleSerializer = void 0;
function _ansiRegex() {
  const data = _interopRequireDefault(require("ansi-regex"));
  _ansiRegex = function () {
    return data;
  };
  return data;
}
function _ansiStyles() {
  const data = _interopRequireDefault(require("ansi-styles"));
  _ansiStyles = function () {
    return data;
  };
  return data;
}
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

const alignedAnsiStyleSerializer = {
  serialize(val) {
    // Return the string itself, not escaped nor enclosed in double quote marks.
    return val.replace((0, _ansiRegex().default)(), match => {
      switch (match) {
        // @ts-ignore
        case _ansiStyles().default.inverse.open:
          return '<i>';
        // @ts-ignore
        case _ansiStyles().default.inverse.close:
          return '</i>';

        // @ts-ignore
        case _ansiStyles().default.bold.open:
          return '<b>';
        // @ts-ignore
        case _ansiStyles().default.dim.open:
          return '<d>';
        // @ts-ignore
        case _ansiStyles().default.green.open:
          return '<g>';
        // @ts-ignore
        case _ansiStyles().default.red.open:
          return '<r>';
        // @ts-ignore
        case _ansiStyles().default.yellow.open:
          return '<y>';
        // @ts-ignore
        case _ansiStyles().default.bgYellow.open:
          return '<Y>';

        // @ts-ignore
        case _ansiStyles().default.bold.close:
        // @ts-ignore
        case _ansiStyles().default.dim.close:
        // @ts-ignore
        case _ansiStyles().default.green.close:
        // @ts-ignore
        case _ansiStyles().default.red.close:
        // @ts-ignore
        case _ansiStyles().default.yellow.close:
        // @ts-ignore
        case _ansiStyles().default.bgYellow.close:
          return '</>';
        default:
          return match;
        // unexpected escape sequence
      }
    });
  },

  test(val) {
    return typeof val === 'string';
  }
};
exports.alignedAnsiStyleSerializer = alignedAnsiStyleSerializer;