/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { TestResult } from '@jest/test-result';
import type { Config } from '@jest/types';
import type { SpecResult } from './jasmine/Spec';
import type { SuiteResult } from './jasmine/Suite';
import type { Reporter, RunDetails } from './types';
export default class Jasmine2Reporter implements Reporter {
    private readonly _testResults;
    private readonly _globalConfig;
    private readonly _config;
    private readonly _currentSuites;
    private _resolve;
    private readonly _resultsPromise;
    private readonly _startTimes;
    private readonly _testPath;
    constructor(globalConfig: Config.GlobalConfig, config: Config.ProjectConfig, testPath: string);
    jasmineStarted(_runDetails: RunDetails): void;
    specStarted(spec: SpecResult): void;
    specDone(result: SpecResult): void;
    suiteStarted(suite: SuiteResult): void;
    suiteDone(_result: SuiteResult): void;
    jasmineDone(_runDetails: RunDetails): void;
    getResults(): Promise<TestResult>;
    private _addMissingMessageToStack;
    private _extractSpecResults;
}
