/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import type { JestHookEmitter, JestHookSubscriber } from './types';
declare type AvailableHooks = 'onFileChange' | 'onTestRunComplete' | 'shouldRunTestSuite';
declare class JestHooks {
    private readonly _listeners;
    private readonly _subscriber;
    private readonly _emitter;
    constructor();
    isUsed(hook: AvailableHooks): boolean;
    getSubscriber(): Readonly<JestHookSubscriber>;
    getEmitter(): Readonly<JestHookEmitter>;
}
export default JestHooks;
